Package bitel.billing.server.contract.object.bean

# Class ObjectManager

java.lang.Object
bitel.billing.server.contract.object.bean.ObjectManager

    public class ObjectManager
    extends java.lang.Object

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ObjectManager​(java.sql.Connection con)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static void` | `addObjectParams​(java.sql.Connection con, int objectId, javax.xml.stream.XMLStreamWriter table, ObjectType type)` |
  `static void` | `addObjectParams​(java.sql.Connection con, int objectId, org.w3c.dom.Element table, ObjectType type)` | Deprecated.
  `static void` | `addObjectParams​(java.sql.Connection con, int objectId, org.w3c.dom.Element table, ObjectType type, int userId)` |
  `void` | `deleteObject​(int id)` |
  `void` | `findObjectList​(SearchResult<ContractObject> searchResult, int cid, int typeId, java.lang.String title)` |
  `java.lang.String` | `generateTitle​(ContractObject object)` | Генерирует имя объекта по макросу.
  `java.util.List<ContractObject>` | `getActiveObjectList​(int cid)` |
  `ContractObject` | `getObject​(int id)` |
  `java.util.List<ContractObject>` | `getObjectList​(int cid)` |
  `java.lang.String` | `getObjectParamTitle​(int objectId, int paramId)` | Метод, который по объекту и коду параметра вертает тайтл.
  `java.util.List<ContractObject>` | `getSuperObjectList​(int cid, boolean showAll)` | Возвращает объекты договора и супердоговора.
  `void` | `moveObject​(int id, int cidTo)` |
  `void` | `orderObject​(int id, boolean up)` |
  `void` | `saveTitleByMacros​(ContractObject object)` | Обновляет имя объекта в объекте и сохраняет изменения в базе.
  `void` | `updateObject​(ContractObject value)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ObjectManager

    public ObjectManager​(java.sql.Connection con)

- ## Method Details

  - ### getObject

    public ContractObject getObject​(int id)

  - ### findObjectList

    public void findObjectList​(SearchResult<ContractObject> searchResult, int cid, int typeId, java.lang.String title) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getObjectList

    public java.util.List<ContractObject> getObjectList​(int cid)

  - ### getActiveObjectList

    public java.util.List<ContractObject> getActiveObjectList​(int cid)

  - ### getSuperObjectList

    public java.util.List<ContractObject> getSuperObjectList​(int cid, boolean showAll)
    Возвращает объекты договора и супердоговора. showAll: true - показать все, false - только активные.
    Parameters:
      `cid` - код договора
      `showAll` - показать все или только активные.
    Returns:
      список объектов

  - ### deleteObject

    public void deleteObject​(int id)

  - ### orderObject

    public void orderObject​(int id, boolean up)

  - ### updateObject

    public void updateObject​(ContractObject value)

  - ### moveObject

    public void moveObject​(int id, int cidTo)

  - ### addObjectParams

    @Deprecated public static void addObjectParams​(java.sql.Connection con, int objectId, org.w3c.dom.Element table, ObjectType type)
    Deprecated.

  - ### addObjectParams

    public static void addObjectParams​(java.sql.Connection con, int objectId, org.w3c.dom.Element table, ObjectType type, int userId)

  - ### addObjectParams

    public static void addObjectParams​(java.sql.Connection con, int objectId, javax.xml.stream.XMLStreamWriter table, ObjectType type) throws javax.xml.stream.XMLStreamException
    Throws:
      `javax.xml.stream.XMLStreamException`

  - ### getObjectParamTitle

    public java.lang.String getObjectParamTitle​(int objectId, int paramId)
    Метод, который по объекту и коду параметра вертает тайтл. По аналогии как сделано в getValuesForPids для параметров договора.

  - ### saveTitleByMacros

    public void saveTitleByMacros​(ContractObject object) throws ru.bitel.bgbilling.common.BGMessageException
    Обновляет имя объекта в объекте и сохраняет изменения в базе.
    Parameters:
      `object` -
    Throws:
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### generateTitle

    public java.lang.String generateTitle​(ContractObject object) throws ru.bitel.bgbilling.common.BGMessageException
    Генерирует имя объекта по макросу. Если макрос не задан, возвращает старое имя.
    Parameters:
      `object` -
    Returns:
      имя объекта
    Throws:
      `ru.bitel.bgbilling.common.BGMessageException`